漏洞信息详情

Moodle 'blog/edit.php'SQL注入漏洞

  • CNNVD编号:CNNVD-200609-259
  • 危害等级: 高危
  • CVE编号: CVE-2006-4785
  • 漏洞类型: SQL注入
  • 发布时间: 2006-09-14
  • 威胁类型: 远程
  • 更新时间: 2006-09-25
  • 厂        商: moodle
  • 漏洞来源: The vendor disclos...

漏洞简介

Moodle的blog/edit.php中存在SQL注入漏洞,远程攻击者可以通过存储在未经insert_record函数适当处理的$blogEntry变量中的格式参数执行任意SQL命令(其中insert_record函数会调用adodb层(lib/adodb/adodb-lib.inc.php)中的adodb_column_sql,这不会将数据类型转换为int)。

漏洞公告

目前厂商已经发布了升级补丁以修复这个安全问题,补丁下载链接:

Moodle moodle 1.6.1

Moodle Moodle 1.6.2

Latest Release

http://download.moodle.org/download.php/stable16/moodle-1.6.2.zip

Moodle Moodle 1.6.2+

Latest Stable Branch (build daily)

http://download.moodle.org/download.php/stable16/moodle-latest-16.zip

参考网址

来源: BID

名称: 20085

链接:http://www.securityfocus.com/bid/20085

来源: BID

名称: 19995

链接:http://www.securityfocus.com/bid/19995

来源: VUPEN

名称: ADV-2006-3591

链接:http://www.frsirt.com/english/advisories/2006/3591

来源: SECUNIA

名称: 21899

链接:http://secunia.com/advisories/21899

来源: XF

名称: moodle-edit-sql-injection(29001)

链接:http://xforce.iss.net/xforce/xfdb/29001

来源: BUGTRAQ

名称: 20060917 Sql injection in Moodle

链接:http://www.securityfocus.com/archive/1/archive/1/446227/100/0/threaded

来源: VIM

名称: 20060619 Re: Moodle issue - invalid vendor ack? and extra vulns

链接:http://www.attrition.org/pipermail/vim/2006-September/001040.html

来源: VIM

名称: 20060919 Moodle issue - invalid vendor ack? and extra vulns

链接:http://www.attrition.org/pipermail/vim/2006-September/001038.html

来源: SECTRACK

名称: 1016877

链接:http://securitytracker.com/id?1016877

来源: docs.moodle.org

链接:http://docs.moodle.org/en/Release_notes#Moodle_1.6.2

受影响实体

补丁

    暂无

漏洞信息快速查询

相关漏洞

更多